Assign a project to a billing warm slot
curl --request POST \
--url https://api.runaether.dev/billing/slots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slot_index": 1,
"if_unassigned": true
}
'import requests
url = "https://api.runaether.dev/billing/slots"
payload = {
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slot_index": 1,
"if_unassigned": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
slot_index: 1,
if_unassigned: true
})
};
fetch('https://api.runaether.dev/billing/slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slot": {
"slot_index": 1,
"failure_reason": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_resumed_at": "<string>",
"last_synced_at": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snapshot_id": "<string>"
},
"previous_project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Billing
Assign a project to a billing warm slot
POST
/
billing
/
slots
Assign a project to a billing warm slot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I